<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
mysql_query("SET NAMES utf8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>دسته ها</title>
<link rel="stylesheet" type="text/css" href="fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script type="text/javascript" src="fancybox/jquery.fancybox-1.3.1.js"></script>
<?php include("maintemplate/mainheader.php");?>
<script language="JavaScript" src="maintemplate/js/gen_validatorv4.js" type="text/javascript" xml:space="preserve"></script>
<script type="text/javascript">   
		function checkurl (postid){
		$(document).ready(function (){
			var slug = $("#slug").val();
			var name2 = $("#name").val();
			$("#loading").fadeIn("fast");
			
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=checkurl",
				dataType: "html",
				data		: "slug="+slug+"&postid="+postid+"&name="+name2,
				success: function(data){
					$("#slugdiv").html(data);
					 $("#loading").fadeOut("slow");
				}
			});
		});
	}
		function addtag (postid){
		$(document).ready(function (){
			var tagname = $("#tagname").val();
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=tagname",
				dataType: "html",
				data		: "tagname="+tagname+"&postid="+postid,
				success: function(data){
					document.getElementById("tagname").value ='';
					currenttag(postid);				
				}
			});
    
		});
	}
	function deltag (postid,tagid){
		$(document).ready(function (){
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=deltag",
				dataType: "html",
				data		:"postid="+postid+"&tagid="+tagid,
				success: function(data){
					currenttag(postid);				
				}
			});
		});
	}
	function addim (postid,tagid){
		$(document).ready(function (){
			var divid = "#tag"+tagid;
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=addim",
				dataType: "html",
				data		:"postid="+postid+"&tagid="+tagid,
				success: function(data){
					currenttag(postid);
					 $(divid).fadeOut("slow");				
				}
			});
		});
	}
	function currenttag (postid){
		
		
		$(document).ready(function (){
			
			$.ajax({
				type: "POST",
				url: "send_ajax_chitasoft.php?act=currenttag",
				dataType: "html",
				data		:"postid="+postid,
				success: function(data){
					$("#tags").html(data);				
					 
				}
			
			});
 
        
       	
    
		});
	}
</script>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden; padding-bottom:50px;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><b4r></div>
                <h2>دسته ها</h2>
               
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                                   <?php if(isset($_GET['del'])){?>
<div style="margin: 20px auto ; padding: 0 .7em; width:98%; text-align:center;" class="error_box"> 
<p>
</p><p><span class="ui-icon ui-icon-alert" style="float: left;"></span>آیا مطمئن هستید که میخواهید اطلاعات این دسته را حذف کنید؟ با حذف این دسته اطلاعات تمام اطلاعات مربوط به آن حذف میشود<br/><a href="category.php?acceptdel&AID=<?php echo $_GET['AID']?>"><div class="mybutton" style="float:right; margin-right:34%;">حذف</div></a><a href="category.php"><div class="mybutton" style="float:right;">بازگشت</div></a></p>
<p></p></div>
<?php }?> 
                                      <?php
	if(isset($_GET['acceptdel'])){
		if(isset($_GET['AID']) && ($_GET['AID'] != '')){
			 $epart = $db->query("select * from ads where category='".$_GET['AID']."'");
			 $part= mysql_num_rows($epart); 
			 if($part<=0){
			
		
		$db->execute("delete from categories where id = '".(int)$_GET['AID']."'");
		
		echo debug_message('دسته با موفقیت حذف شد','2','98');
		
		echo '<form action="category.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		
		}else{?>
		<div style="margin: 20px auto ; padding: 0 .7em; width:98%; text-align:center;" class="error_box"> 
<p>
</p><p><span class="ui-icon ui-icon-alert" style="float: left;"></span>این دسته را نمی توانید حذف کنید میبایست ابتدا تبلیغات مربوط به آن را حذف کنید<br/><a href="category.php"><div class="mybutton" style="float:right; margin-right:46%;">بازگشت</div></a></p>
<p></p></div>
		<?php }
		}
}
?>
                     <?php 
                if(isset($_GET['insert'])){
					$slug = str_replace(" ", "-", $_POST['slug']);
		$db->execute("insert categories set
		 name = '".$db->safe_string($_POST['name'])."' ,
		 slug = '".$db->safe_string($slug)."',
		 name_en = '".$db->safe_string($_POST['name_en'])."' ,
		 date= NOW()
		 ");
	
		echo debug_message('دسته جدید با موفقیت اضافه شد','2','98');
		
		echo '<form action="category.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		}elseif(isset($_GET['update'])){
			$slug = str_replace(" ", "-", $_POST['slug']);
			 $db->execute("update categories set
		  name = '".$db->safe_string($_POST['name'])."',
		  slug = '".$db->safe_string($slug)."',
		  name_en = '".$db->safe_string($_POST['name_en'])."' 
		 where id='".$_GET['AID']."'
		 ");

			echo debug_message('دسته مورد نظر با موفقیت ویرایش شد','2','98');
		
		echo '<form action="category.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';
		}else{?>
                         <div class="postbox-container" style="width:68%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>اضافه کردن دسته جدید</span></h3>
                                <div style="padding:10px; line-height:24px">

<?php
	

	
			$form_action = 'insert';
		if(isset($_GET['AID'])){
			$sql = $db->query("select * from categories where id = '".(int)$_GET['AID']."'");
			$res = $db->fetchNextArray($sql);
			$form_action = 'update&AID='.$_GET['AID'];
		}
?>
<div class="inside" style="">
<form action="category.php?do=add_kind&<?php echo $form_action; ?>" method="post" name="form1" id="form1" enctype="multipart/form-data">
<table class="form-table">
<tbody>

<tr class="odd" valign="top">
<th scope="row"><label for="name">نام</label></th>
<td><input name="name"  id="name" size="16" value="<?php echo $res['name']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>

<tr class="event" valign="top">
<th scope="row"><label for="name_en">نام لاتین</label></th>
<td><input name="name_en"  id="name_en" size="16" value="<?php echo $res['name_en']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>

<tr class="odd" valign="top">
<th scope="row"><label for="slug">آدرس</label></th>
<td>
<div id="slugdiv">
<input name="slug"  id="slug" size="16" value="<?php echo $res['slug']; ?>" dir="ltr" class="regular-text" type="text">
</div>
<a class="mybutton" href="javascript:void(0)" onclick="checkurl(<?php echo $_GET['AID'];?>);">چک کردن</a>
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>
</tbody></table>


<p class="submit">
<input name="process" class="button-primary" value="ذخیره" type="submit">
</p>
</form>
<script language="JavaScript" type="text/javascript"
    xml:space="preserve">//<![CDATA[
//You should create the validator only after the definition of the HTML form
  var frmvalidator  = new Validator("form1");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();


	frmvalidator.addValidation("name","req","وارد کردن نام دسته ضروری است");
	
//]]></script>
</div>
                                
                                </div>

                              </div>
                            </div>
                        </div>  
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنما</h3>
<div class="inside">
لین بخش برای اضافه کردن دسته ها است<br/>
<a href="category.php"><div class="mybutton" style="width:310px;">اضافه کردن دسته جدید</div></a>
</div>

</div>

</div>

<?php
		}?>
        <div class="postbox-container" style="width:98%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span> لیست دسته ها</span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
            	<th scope="col" id="rounded-q5"></th>
                <th scope="col" id="rounded-q5">نام</th>
				<th scope="col" id="rounded-q5">زمان افزودن</th>
                <th scope="col" id="rounded-q5">لینک</th>
                <th scope="col" id="rounded-q5">ویرایش</th>
                <th scope="col" id="rounded-q5"> حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="categories";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "category.php"; 	//your file name  (the name of this file)
	$limit = 20; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert"> 
		<td ><?php echo $row['id'];?></td>
        <td ><?php echo $row['name'];?></td>
        <td ><?php echo tep_hejri11($row['date']);?></td>  
         <td ><a href="<?php echo $globalConfig['baseurl'].'/'.seourl('category',$row['id']);?>" target="_blank">لینک</a></td> 
        <td ><a href="category.php?AID=<?php echo $row['id'];?>"><img src="images/pdo.png"></a></td> 
        <td ><a href="category.php?del=true&AID=<?php echo $row['id'];?>"><img src="images/cros.gif"></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

                              </div>
                            </div>
                        </div>



                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>